<?php

namespace Dispatch;

use Dispatch\Provision\TGMpa as TGMpa;
use Dispatch\Config\Site as Site;
use Dispatch\Config\Context as Context;
use Dispatch\Config\Dashboard as Dashboard;
use Dispatch\Config\Menus as Menus;
use Dispatch\Config\CustomPostTypes as CustomPostTypes;
use Dispatch\Config\CustomTaxonomies as CustomTaxonomies;
use Dispatch\Config\Theme as Theme;
use Dispatch\Config\Media as Media;
use Dispatch\Config\FewBricks as FewBricks;
use Dispatch\Functions\Assets as Assets;
use Dispatch\Functions\Search as Search;
use Dispatch\Plugins\GForms as GForms;
use Dispatch\Plugins\ACF as ACF;
use Dispatch\Plugins\FacetWP as FacetWP;

require_once('autoloader.php');

/**
 * Provision
 */
new TGMpa;

/**
 * Timber
 */
new Site;
new Context;

/**
 * Config
 */
new Dashboard;
new Menus;
// posttypes
CustomPostTypes::register_news();
CustomPostTypes::register_updates();
CustomPostTypes::register_maps();
CustomPostTypes::register_locations();
CustomPostTypes::register_community();
CustomPostTypes::register_media();
CustomPostTypes::register_faq();
CustomPostTypes::register_gallery();
CustomPostTypes::register_arttrail();
// taxonomies
CustomTaxonomies::register_news_types();
CustomTaxonomies::register_media_types();
CustomTaxonomies::register_experience_groups();
CustomTaxonomies::register_explore_groups();
CustomTaxonomies::register_eat_drink();
CustomTaxonomies::register_stay_play();
CustomTaxonomies::register_map_types();
CustomTaxonomies::register_faq_types();
CustomTaxonomies::register_gallery_types();
CustomTaxonomies::register_gallery_dates();
new Theme;
new Media;
// new FewBricks;

/**
 * Functions
 */
new Assets;
new Search;

/**
 * Plugins
 */
new GForms;
new ACF;
new FacetWP;